//  Persistance of Vision Raytracer V2.2
//  World definition file.
//
//  Contains 5 lights, 2 textures and 75 primitives.
//
//  This file was generated for POV-Ray V2.2 by
//  MORAY.EXE (c) 1991-1994 SoftTronics by Lutz Kretzschmar + Markus Lutz
//

//  Date : 07/16/1995    (16.07.1995)
//

// *******  L I G H T S *******
#declare lightbulb = light_source {
  <0.000, 0.010, -0.657>
  color rgb <0.2, 0.2, 0.2>
}


//
// ********  T E X T U R E S  *******
//

#include "LAMPS.INC"

// ********  O B J E C T S *******
declare lamp_bound = box {
   <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
  scale <1.268763, 2.677995, 1.416775>
  translate <0.000000, -1.409232, -0.127435>
}

#declare shade = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  rotate <-180.000000, 0.000000, 0.000000>
}

#declare shade1 = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  scale <0.800000, 0.800000, 1.100000>
  rotate <-180.000000, 0.000000, 0.000000>
}

#declare shade_cut = difference {
  object { shade }
  object { shade1 }
}

#declare Shade_top = object { 
  sphere {<0,0,0>,1}
  texture {
    shiny_red
  }
  scale <0.200000, 0.200000, 0.200000>
}

#declare shade_rim = torus { 
  1.100, 0.100  // Major, minor radius
  rotate -x*90
  texture {
    shiny_red
  }
  translate <0.000000, 0.000000, -0.987355>
}

#declare Wall_pipe = torus { 
  1.100, 0.100  // Major, minor radius
  rotate -x*90
  texture {
    shiny_red
  }
  scale <0.700000, 0.700000, 0.700000>
  rotate <0.000000, -90.000000, 0.000000>
  translate <0.000000, -0.751300, 0.009203>
}

#declare pipe_cut = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.200000, 0.735840, 0.440233>
  rotate <-45.000000, 0.000000, 0.000000>
  translate <0.000000, -1.169319, -0.203301>
}

#declare pipe_cut1 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.200000, 0.735840, 0.440233>
  translate <0.000000, -0.546019, -0.453336>
}

#declare upper_pipe = difference {
  object { Wall_pipe }
  object { pipe_cut }
  object { pipe_cut1 }
  translate <0.000000, 0.015590, 0.004872>
}

#declare Wall_pipe1 = torus { 
  1.100, 0.100  // Major, minor radius
  rotate -x*90
  texture {
    shiny_red
  }
  scale <0.700000, 0.700000, 0.700000>
  rotate <0.000000, -90.000000, 0.000000>
  translate <0.000000, -0.751300, 0.009203>
}

#declare pipe_cut2 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.200000, 0.735840, 0.440233>
  rotate <-45.000000, 0.000000, 0.000000>
  translate <0.000000, -0.284875, 0.179403>
}

#declare pipe_cut3 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.200000, 0.735840, 0.440233>
  translate <0.000000, -1.016515, 0.475893>
}

#declare upper_pipe1 = difference {
  object { Wall_pipe1 }
  object { pipe_cut2 }
  object { pipe_cut3 }
  translate <0.000000, -2.177576, -0.018311>
}

#declare Shade_top1 = object { 
  sphere {<0,0,0>,1}
  texture {
    shiny_red
  }
  scale <0.200000, 0.200000, 0.200000>
  translate <0.000000, -3.655899, 0.020539>
}

#declare pipe_joiner = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    shiny_red
  }
  scale <0.070000, 0.070000, 1.570444>
  rotate <-45.000000, 0.000000, 0.000000>
  translate <0.000000, -2.387224, -0.552611>
}

#declare wall_plate = object { 
  sphere {<0,0,0>,1}
  texture {
    shiny_red
  }
  scale <1.000000, 0.150000, 1.061731>
}

#declare shade_rim1 = torus { 
  1.100, 0.100  // Major, minor radius
  rotate -x*90
  texture {
    shiny_red
  }
  rotate <-90.000000, 0.000000, 0.000000>
}

#declare Plate = union {
  object { wall_plate }
  object { shade_rim1 }
  translate <0.000000, -3.868464, 0.020577>
}

#declare bulb = object { 
  sphere {<0,0,0>,1}
  texture {
    waxed_white
  }
  no_shadow
  scale <0.500000, 0.500000, 0.500000>
  translate <0.025336, 0.000000, -0.975447>
}

#declare Wall_lamp = union { //Wall_lamp
  object { shade_cut }
  object { Shade_top }
  object { shade_rim }
  object { upper_pipe }
  object { upper_pipe1 }
  object { Shade_top1 }
  object { lightbulb }
  object { pipe_joiner }
  object { Plate }
  object { bulb }
  texture {
    shiny_red
  }
  bounded_by { lamp_bound }
  scale <2.000000, 2.000000, 2.000000>
  rotate <0.000000, 0.000000, -180.000000>
  translate <0.000000, 24.239112, 26.035731>
}
object { Wall_lamp }
object { Wall_lamp
  scale <2.000000, 2.000000, 2.000000>
  rotate <0.000000, 0.000000, -90.000000>
  translate <-37.493959, -3.500000, 26.035731>
}
object { Wall_lamp
  scale <2.000000, 2.000000, 2.000000>
  rotate <0.000000, 0.000000, -90.000000>
  translate <-37.493959, 13.500000, 26.035731>
}
object { Wall_lamp
  scale <2.000000, 2.000000, 2.000000>
  rotate <0.000000, 0.000000, -180.000000>
  translate <-34.000000, 24.239112, 26.035731>
}
object { Wall_lamp
  scale <2.000000, 2.000000, 2.000000>
  rotate <0.000000, 0.000000, -180.000000>
  translate <-17.000000, 24.239112, 26.035731>
}

